Bug 186695 - Icons for mounted disks/partitions missing
Icons for mounted disks/partitions missing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 08:51 EST by E Mair
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-02 13:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description E Mair 2006-03-25 08:51:19 EST
Description of problem:
Nautilus does no longer show icons for mounted disks on the desktop or in
computer:///.
This worked in FC4 but not in a fresh installation of FC5.

Version-Release number of selected component (if applicable):
nautilus-2.14.0-1

How reproducible:
Always

Steps to Reproduce:
1. Have /apps/nautilus/desktop/volumes_visible in gconf set to true.
2. Mount a harddisk partition.
  
Actual results:
Opening Computer:/// in Nautilus only shows Floppy Disk, CD/DVD, Filesystem and
Network. On the desktop only the Computer, Home and Network icons are visible.

Expected results:
The mounted devices should be represented by icons in Computer:/// and on the
desktop.

Additional info:
Comment 1 David Wood 2006-03-30 07:32:41 EST
I believe I'm seeing the same problem with some local partitions.

In my fstab file I have a couple of remote nfs disks and a smbfs connection. 
These all show up and can be mounted from the Nautilus spatial view, along with
the network, filesystem, cdrom and floppy drives.

HOWEVER, as this is a multi-boot system, I also have fstab entries pointing to
/dev/hda1 (an ntfs partition) and /dev/hda5 (a vfat partition).  Neither show up
in Nautilus.  My FC5 installation has /boot in /dev/hda2 with swap and / as a
logical volume set in /dev/hda3.  Is it possible that the use of the lvm for the
FC5 installation is erroneously supressing the search for other /dev/hda*
partitions?

NB.  The drives can be mounted from the command line but they still don't show
up in the Nautilus spatial view.
Comment 2 Adam M. 2006-04-02 09:40:22 EDT
AFAIK, this was done intentionally as a security measure. Simply move or delete 
[b]/usr/share/hal/fdi/policy/10osvendor/99-redhat-storage-policy-fixed-drives.
fdi[/b], followed by a restart of the hal daemon, and fixed disks will once 
again appear. 
Comment 3 E Mair 2006-04-02 13:47:39 EDT
Thanks, plexxxy. This worked.
I think this ought to be in the Release Notes, but I'm setting this to NOTABUG.
Comment 4 Rahul Sundaram 2006-04-02 19:55:22 EDT
Its already in the release notes. 

http://fedoraproject.org/wiki/Docs/Beats/PackageNotes
Comment 5 E Mair 2006-04-03 10:44:04 EDT
I respectfully disagree:
http://fedora.redhat.com/docs/release-notes/fc5/

The only links I've personally seen pointing to the Docs/Beats/PackageNotes wiki
page was posted in discussions on fedoraforums.org and in this bug discussion.
Comment 6 Rahul Sundaram 2006-04-03 11:14:29 EDT
You have nothing to disagree about. The wiki is the canonical source for the
latest content. The published release notes do not have the notes which is why I
pointed to the latest content. The future errata (due on 15th of this month)
will have them. Anyway if you need more content, you should file feedback
against the release notes. 

Note You need to log in before you can comment on or make changes to this bug.